GNU bug report logs - #57625
[PATCH 0/3] WIP: Add pnet.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Adam Faiz <adam.faiz@HIDDEN>; Keywords: patch moreinfo; dated Tue, 6 Sep 2022 14:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 7 Sep 2022 02:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 22:48:54 2022
Received: from localhost ([127.0.0.1]:53065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVl7V-0007sI-Ue
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 22:48:54 -0400
Received: from knopi.disroot.org ([178.21.23.139]:53406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adam.faiz@HIDDEN>) id 1oVl7T-0007s7-9w
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 22:48:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 9BA2F4008D
 for <57625 <at> debbugs.gnu.org>; Wed,  7 Sep 2022 04:48:49 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id NDyh_S_DWmYd for <57625 <at> debbugs.gnu.org>;
 Wed,  7 Sep 2022 04:48:48 +0200 (CEST)
Message-ID: <ae783ede-aaea-3d88-5a1f-426360a6695f@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662518928; bh=Uz/287UxxK9CiY0C0AO4PB77hamKhnUJjgZKUpgdbNo=;
 h=Date:From:Subject:To:References:In-Reply-To;
 b=jvYEDj47c3tzNJrgJlCSnhEI/BEA5qGmzfBF2UaMQhfRn6NIx5e5MWxjeKDiZPwF/
 uO0ZnUlclNexd+JMyR9Fs7pmH/LhZRhxMnfU4OgqTDWWeu0rfY4R2dKOWMYBW2Yt+i
 cNUr4M7EBg0vgfw9i1K1GM/V+lDLdo0efJzlwyjpI4PQFFvQu+vA63ja0IzIODVyuo
 HGvheIaYbWXN8L1FmJv/UAdgrrYf0och6lP1wG7AxovZgqWS4UKgvxYYMmyamERS5l
 qvWDc3vV31xIahb4jqC8XMFIxj0RQ0nlceIm2+kassNAnRK9sEMvo5+rityNQfUaDA
 mBsKaIgDcQK+g==
Date: Wed, 7 Sep 2022 10:48:45 +0800
Mime-Version: 1.0
From: Adam Faiz <adam.faiz@HIDDEN>
Subject: Re: [bug#57625] [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.
To: 57625 <at> debbugs.gnu.org
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>
 <13dfa7fa-a27f-f68d-43ba-4be55e14ba16@HIDDEN>
Content-Language: en-US
In-Reply-To: <13dfa7fa-a27f-f68d-43ba-4be55e14ba16@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/7/22 00:55, Maxime Devos wrote:
> Also, why a hidden package? 
> Greetings,
> Maxime.
I wasn't sure if the package would be useful being exposed to the user 
interface, since it's specific to pnet's needs.

> (*) Untested proposal:
> 
> (define-public libgc-all-headers ; TODO(core-updates) merge into libgc
>   (package
>     (inherit libgc)
>     (name "libgc-all-headers")
>     (outputs "out")
>     (arguments
>       (append (package-arguments libgc)
>         (list #:imported-modules
>                '((guix build gnu-build-system) (guix build copy-build-system))
>                #:phases
>                #~(modify-phases
>                        (add-after 'install 'delete-library
>                          (lambda _
>                            (delete-file-recursively (string-append #$output "/lib"))))

>                        (add-after 'install 'delete-private-header
>                          (lambda _
>                            (delete-file-recursively (string-append #$output "/lib"))))
Why is 'delete-private-header the same as 'delete-library?
Was it a typo, and supposed to delete something else("include/private"?)
>                        (add-after 'install 'install-private
>                          (lambda arguments
>                            ((@ (guix build copy-build-system) install)
>                             (append (list #:install-plan '(("include/config.h" [...]) [...]))
>                                           arguments))))))))
>     (synopsis ...)
>     (description ...)))
Thanks, this looks much better than what I wrote. I didn't know how I 
could inherit it from libgc. I can use this in the V1 for this patch.




Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 18:07:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 14:07:40 2022
Received: from localhost ([127.0.0.1]:52656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVcz6-0005Sv-Az
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 14:07:40 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:46472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oVcz1-0005Si-JU
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 14:07:39 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by albert.telenet-ops.be with bizsmtp
 id Gi7Z2800520ykKC06i7ZQe; Tue, 06 Sep 2022 20:07:33 +0200
Message-ID: <d9d5d7e4-4cd6-64e6-ac2d-fe939773abb2@HIDDEN>
Date: Tue, 6 Sep 2022 20:07:33 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57625] [PATCH 2/3] gnu: Add treecc.
Content-Language: en-US
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <f714b160-5ea4-9bdd-d4f0-46434f68e1fb@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <f714b160-5ea4-9bdd-d4f0-46434f68e1fb@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------PyIvnRYE7D0Qo3HJ0Djk4KXf"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1662487653; bh=4scdw1NfEJqULUdS1eGlAYjLxdSalSYB6AVoxp8oCF4=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=Wckv6+Ts4bZwxDMhP8Yd267gKvW1GT5dDLIs7d+4sO8gwxyIDvolmrAvUdey/WomO
 jNzunZ4MihgqgCRDFLNYIfO+oxMcIEQ7N1GJhhQ0/r6T9VNuEik3O8K9vLwe6rW26+
 nWFz7YUASYP7YR4s/aZTmmtZYH11RQR2HUdD5gTNPb/a+pV1oQFoIb28RmupeHNuQZ
 Dy8sXMyv5fhhLAogCea9+sz6CUH+lS1+cNguuLHeOAY1gc6yFFWyBacT84UdT+Iykw
 NFM2tUfc40ST7LwR9Jg+Wy0KHYF1OqD0K5Go0/qy4NEHMWDEPo5UnY3vx2O/k9hHgN
 HHOgOR3/dP77g==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------PyIvnRYE7D0Qo3HJ0Djk4KXf
Content-Type: multipart/mixed; boundary="------------B4ZZ1PZpTPj4dNQSawFmjJQv";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
Message-ID: <d9d5d7e4-4cd6-64e6-ac2d-fe939773abb2@HIDDEN>
Subject: Re: [bug#57625] [PATCH 2/3] gnu: Add treecc.
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <f714b160-5ea4-9bdd-d4f0-46434f68e1fb@HIDDEN>
In-Reply-To: <f714b160-5ea4-9bdd-d4f0-46434f68e1fb@HIDDEN>

--------------B4ZZ1PZpTPj4dNQSawFmjJQv
Content-Type: multipart/mixed; boundary="------------roJ1DR0MZ1HWxGdsNB7mMj0c"

--------------roJ1DR0MZ1HWxGdsNB7mMj0c
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQpPbiAwNi0wOS0yMDIyIDE3OjM5LCBBZGFtIEZhaXogdmlhIEd1aXgtcGF0Y2hlcyB2aWEg
d3JvdGU6DQo+DQo+ICvCoCAocGFja2FnZQ0KPiArwqDCoMKgIChuYW1lICJ0cmVlY2MiKQ0K
PiArwqDCoMKgICh2ZXJzaW9uICIwLjMuMTAiKQ0KPiArwqDCoMKgIChzb3VyY2UgKG9yaWdp
bg0KPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKG1ldGhvZCB1cmwtZmV0Y2gpDQo+
ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAodXJpIChzdHJpbmctYXBwZW5kDQo+ICsg
Imh0dHBzOi8vZG93bmxvYWQuc2F2YW5uYWguZ251Lm9yZy9yZWxlYXNlcy9kb3RnbnUtcG5l
dC90cmVlY2MtIg0KPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAg
dmVyc2lvbiAiLnRhci5neiIpKQ0KPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKHNo
YTI1Ng0KPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoYmFzZTMyDQo+ICsgIjFy
emduc3BnMnhjY2RxM3FzeDB2aTNqMjhoNHFrcnpicmpuaHp2bm55MzRmamZrMjE3YXkiKSkp
KSANCg0KU2ltaWxhcmx5IHRvIHBuZXQsIGNvbmZpZ3VyZSwgTWFrZWZpbGUuaW4sIC4uLiwg
Y29uZmlnLnN1YiBhbmQgDQpjb25maWcuZ3Vlc3MgbmVlZCB0byBiZSByZWdlbmVyYXRlZCB0
b28uDQoNCmNvbmZpZy5zdWIgYW5kIGNvbmZpZy5ndWVzcyBhcmUgcGFydGljdWxhcmx5IGlt
cG9ydGFudCwgb2xkIHZlcnNpb25zIA0KZG9uJ3Qgc3VwcG9ydCBuZXcgYXJjaGl0ZWN0dXJl
cy4gRS5nLiwgdGhlIGJ1bmRsZWQgY29uZmlnLnN1YiBkb2VzIG5vdCANCnN1cHBvcnQgYWFy
Y2g2NC4NCg0KR3JlZXRpbmdzLA0KTWF4aW1lDQoNCg==
--------------roJ1DR0MZ1HWxGdsNB7mMj0c
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------roJ1DR0MZ1HWxGdsNB7mMj0c--

--------------B4ZZ1PZpTPj4dNQSawFmjJQv--

--------------PyIvnRYE7D0Qo3HJ0Djk4KXf
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYxeMZQUDAAAAAAAKCRBJ4+4iGRcl7u0H
AQCdUBO4f5b0d4ZATT3hnNgQBvUvI5wag7CjOrS1gXTLnAEAzCWqHBYpqB1JJcj10PP0m53IDtW5
QwLl61vQ/5MueQc=
=rloz
-----END PGP SIGNATURE-----

--------------PyIvnRYE7D0Qo3HJ0Djk4KXf--




Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 17:23:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 13:23:08 2022
Received: from localhost ([127.0.0.1]:52571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVcHz-00044K-Pc
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 13:23:08 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:39330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oVcHx-00044B-Lr
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 13:23:07 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by michel.telenet-ops.be with bizsmtp
 id GhP32800B20ykKC06hP3MN; Tue, 06 Sep 2022 19:23:03 +0200
Message-ID: <87ff6515-bd84-d465-99c4-baf4a0275a86@HIDDEN>
Date: Tue, 6 Sep 2022 19:23:03 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <d9c91744-9f26-3f87-c054-d2f9105bd685@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57625] WIP: gnu: Add pnet.
In-Reply-To: <d9c91744-9f26-3f87-c054-d2f9105bd685@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------6YfeeRgbOSslvj4BMXi0Qama"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1662484984; bh=EJY6UdwTkg+xHme3U3j5DKR9v9Xb3RsaO2pQTurB15k=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=JY+hSvOSyVoYTNaJUu+ae6LehOOAq/SubouaOjiI2zlxPf5Ikr958j7Slz28L9HGe
 CehJKn/tf4gtxRpH8+TnG0Jx2Vwr198tXleXWoBEzZHdSV2eoM3LfLDDw4eK/gPmcM
 Y8LmfF+wJGsUtKCjAfF8n6QZJHOFNzW/VN8bzIP279fcpivTsIe/QB6R6MX82SsOia
 H4dlkeOalC/uIz/HPzcZ7i57X95zWDaAtjiivZeAk7dIvHPxw0X/7jYL9bBeDpxAXZ
 V6dawLnakQAJv5jQZ4sYkoqG5pxcDfyEskuKD1XJjebuZg+Fr22RjeZYwNDk9BLmqK
 iJ6+nibMNw2RA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------6YfeeRgbOSslvj4BMXi0Qama
Content-Type: multipart/mixed; boundary="------------NMaFkr6QKHx1nMTpKEe0tuCx";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
Message-ID: <87ff6515-bd84-d465-99c4-baf4a0275a86@HIDDEN>
Subject: Re: [bug#57625] WIP: gnu: Add pnet.
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <d9c91744-9f26-3f87-c054-d2f9105bd685@HIDDEN>
In-Reply-To: <d9c91744-9f26-3f87-c054-d2f9105bd685@HIDDEN>

--------------NMaFkr6QKHx1nMTpKEe0tuCx
Content-Type: multipart/mixed; boundary="------------bgyAEVkOJ3W0U0OGGuGAjN9V"

--------------bgyAEVkOJ3W0U0OGGuGAjN9V
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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==
--------------bgyAEVkOJ3W0U0OGGuGAjN9V
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------bgyAEVkOJ3W0U0OGGuGAjN9V--

--------------NMaFkr6QKHx1nMTpKEe0tuCx--

--------------6YfeeRgbOSslvj4BMXi0Qama
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYxeB9wUDAAAAAAAKCRBJ4+4iGRcl7ium
AP4kaOOQEQLqpyudmUnpKZprIrYIIe/gBOHhFVE4EaF3hgD8CuovaBNoLRE/NgmJcaTha5d+cThy
CTjtE7H5RvoGGgM=
=DUvi
-----END PGP SIGNATURE-----

--------------6YfeeRgbOSslvj4BMXi0Qama--




Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 16:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 12:58:00 2022
Received: from localhost ([127.0.0.1]:52527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVbtg-0003J1-0j
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:58:00 -0400
Received: from [195.130.137.88] (port=59722 helo=michel.telenet-ops.be)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oVbsr-0003Hd-Ox
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:57:59 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by michel.telenet-ops.be with bizsmtp
 id Ggvw2800520ykKC06gvwyc; Tue, 06 Sep 2022 18:56:07 +0200
Message-ID: <13dfa7fa-a27f-f68d-43ba-4be55e14ba16@HIDDEN>
Date: Tue, 6 Sep 2022 18:55:56 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57625] [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.
In-Reply-To: <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------b3HPlgoE0BgdBSIHXAgM8Rz4"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1662483367; bh=xBAZwV+uNFNfwSinOpxMloNwbbdhZxjqJH3QYqUxI7U=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=WBTQLX2O632WtxpL7Jjf7rW51yvhkwjHywnFe6+G8lAugcSBy+dXwUsPQFOO6/YQu
 6n0ryTJF21mJEazo4HFtj+UWpNYIag4fN/C80QJ4ea8+B8A4LHkShl8YhLAJax+NIS
 l2VuwEQQ6T0xw/QscLhxKz7QxqNENe3jio0AtVP5N0MZa68u8/HD/fgOiUh53UtoZz
 6Iib2feN31ceXYhGpC5Rtv/C5/kj5CeDAySN3dHARMOz+HxfmflJbGdqxGUsQ6IPX1
 i3EsNwxmZ4bwr0P03HTcJVqPQD1RUVcGuyJlUfHb/NHxP2TWzGYSMSqJ1jSCCYdp3L
 E41pZqdLtLJZw==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 06-09-2022 17:34, Adam Faiz via Guix-patches via wrote:
    > +(define-public libgc-private-headers-for-pnet > +  (hidden-package >
   +   (package > +     (name "libgc-private-headers") > +    [...]
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maximedevos[at]telenet.be)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------b3HPlgoE0BgdBSIHXAgM8Rz4
Content-Type: multipart/mixed; boundary="------------sOsR0ZvUivSaWyanxN09C63w";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Adam Faiz <adam.faiz@HIDDEN>, 57625 <at> debbugs.gnu.org
Message-ID: <13dfa7fa-a27f-f68d-43ba-4be55e14ba16@HIDDEN>
Subject: Re: [bug#57625] [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.
References: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
 <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>
In-Reply-To: <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>

--------------sOsR0ZvUivSaWyanxN09C63w
Content-Type: multipart/mixed; boundary="------------amMRSJm4kiaZsE2hunxZ00Cu"

--------------amMRSJm4kiaZsE2hunxZ00Cu
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------amMRSJm4kiaZsE2hunxZ00Cu
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------amMRSJm4kiaZsE2hunxZ00Cu--

--------------sOsR0ZvUivSaWyanxN09C63w--

--------------b3HPlgoE0BgdBSIHXAgM8Rz4
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYxd7nAUDAAAAAAAKCRBJ4+4iGRcl7rmq
AP4nr+DnTw17FbAwCWlZlS7gGyyKEwxOBP0XKzC4GCtbawEAy1Dh1GZ5Tw5bLD7/LQv7z122dot6
Qx62RBiHANF9iQg=
=yQ90
-----END PGP SIGNATURE-----

--------------b3HPlgoE0BgdBSIHXAgM8Rz4--




Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 15:53:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:53:57 2022
Received: from localhost ([127.0.0.1]:52434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVatg-0007U3-JU
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:53:57 -0400
Received: from knopi.disroot.org ([178.21.23.139]:59836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adam.faiz@HIDDEN>) id 1oVate-0007Ts-M3
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:53:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 14A95400E1
 for <57625 <at> debbugs.gnu.org>; Tue,  6 Sep 2022 17:53:53 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id F3wmVhlrG1Uv for <57625 <at> debbugs.gnu.org>;
 Tue,  6 Sep 2022 17:53:51 +0200 (CEST)
Message-ID: <d9c91744-9f26-3f87-c054-d2f9105bd685@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662479629; bh=YB93nVoZDXr6/VMXtFmVpnT0s7yIjCaYtYjLrNYKRJo=;
 h=Date:To:From:Subject;
 b=EMNLRXym/t9BkokLNIL3tHTPEBIbPkE4ztotpNWScrbsQrCeYW0jj+IMgxJX3HONT
 CjzBsw+OzzFpIqtC7ArrzGqehudUNStdzEpGb5+Ne4jBvlSGoXlovS7cTkiNoW0cpY
 WSu3U5WJUQyfXyYzHTwu+/KzE2KZCqGr14HwmCG/TqUseY8U3AQ9IeA1NR5TDERQH5
 lpRT/ge68FewbcTFoEEuCJfA9bHKzltQdbFT0gisdAvXfGHRC3zGk4LVvD7hntxk+J
 HiDQjxzV+7M9qtOLsSTu2xeb4mhAE45b+sIRDr+yCfTZSP0BWAibWYiS7pJmuxIUXk
 nBpvEqoG5vJfg==
Date: Tue, 6 Sep 2022 23:53:44 +0800
Mime-Version: 1.0
To: 57625 <at> debbugs.gnu.org
Content-Language: en-US
From: Adam Faiz <adam.faiz@HIDDEN>
Subject: WIP: gnu: Add pnet.
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 From c1283813b73f0fd076f4007851d25db99ee2fe7a Mon Sep 17 00:00:00 2001
From: AwesomeAdam54321 <adam.faiz@HIDDEN>
Date: Tue, 6 Sep 2022 16:04:09 +0800
Subject: [PATCH 3/3] WIP: gnu: Add pnet.

* gnu/packages/dotgnu.scm (pnet): New variable.
---
  gnu/packages/dotgnu.scm | 66 +++++++++++++++++++++++++++++++++++++++++
  1 file changed, 66 insertions(+)

diff --git a/gnu/packages/dotgnu.scm b/gnu/packages/dotgnu.scm
index 14e11b3653..976c4f1f15 100644
--- a/gnu/packages/dotgnu.scm
+++ b/gnu/packages/dotgnu.scm
@@ -50,3 +50,69 @@ (define-public treecc
  and other language-based tools.  It manages the generation of code to 
handle
  abstract syntax trees and operations upon the trees.")
      (license license:gpl2+)))
+
+(define-public pnet
+  (package
+    (name "pnet")
+    (version "0.8.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+ 
"https://download.savannah.gnu.org/releases/dotgnu-pnet/pnet-"
+                    version ".tar.gz"))
+              (sha256
+               (base32
+                "1fsi8nkgvawjib2n4kyygfhfr31637bin84xkmr0apvsavihld7i"))))
+    (build-system gnu-build-system)
+    (native-inputs (list automake autoconf libatomic-ops))
+    (inputs (list treecc libffi libgc libgc-private-headers-for-pnet))
+    (arguments
+     (list #:configure-flags
+           #~(list
+              (string-append "CPPFLAGS=-I" #$libffi "/include/ffi"
+                             " -I" #$libgc "/include/gc"
+                             " -I" #$libgc-private-headers-for-pnet 
"/include/private"))
+           #:make-flags
+           #~(list (string-append "GCLIBS=")) ; libgc is already in the 
linker path
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'unbundle-dependencies
+                 (lambda _
+                   (for-each delete-file-recursively '("libffi" "libgc"))))
+               (add-before 'configure 'fix-makefile
+                 (lambda _
+                   (substitute* "configure.in" ; Fix missing reference 
to RANLIB
+                     (("AC_PROG_MAKE_SET")
+                      "AC_PROG_MAKE_SET\nAC_PROG_RANLIB"))
+                   (substitute* "Makefile.am" ; Fix to not require 
bundled dependencies
+                     (("OPT_SUBDIRS \\+= lib.*") ""))
+                   ; Fix bug where codegen/*.c files aren't compiled in 
install
+                   (substitute* "codegen/Makefile.in"
+                     (("$(MAKE) $(AM_MAKEFLAGS) install-am")
+                      "$(MAKE) $(AM_MAKEFLAGS) install-am\n\t.c.o 
$(TREECC_SRCOUT)"))
+                   (invoke "autoconf")
+                   (invoke "aclocal")
+                   (invoke "automake" "--add-missing")
+                   (invoke "automake")))
+               (add-before 'build 'fix-headers
+                 (lambda _
+                   (substitute* "support/hb_gc.c"
+                     (("#include .*/libgc/include/gc.h.") "#include 
<gc.h>")
+                     (("#include .*/libgc/include/gc_typed.h.") 
"#include <gc_typed.h>"))
+                   (substitute* "support/pt_defs.c"
+                     (("#include <errno.h>")
+                      "#include <errno.h>\n#include 
<gc_pthread_redirects.h>"))))
+               (add-after 'fix-headers 'replace-removed-libgc-function
+                 (lambda _
+                   (substitute* "support/thread.c"
+                     ; Maybe GC_CreateThread can be used as replacement?
+                     (("result = GC_run_thread.*;")
+                      "result = thread_func(arg);")))))))
+    (home-page "http://www.gnu.org/software/dotgnu/html2.0/pnet.html")
+    (synopsis "Bootstrap compiler and libraries for the C# programming 
language")
+    (description
+     "The goal of this project is to build a suite of Free Software tools
+to build and execute .NET applications, including a C# compiler,
+assembler, disassembler, and runtime engine.  The initial target
+platform is GNU/Linux, with other platforms to follow in the future.")
+    (license license:gpl2+)))
-- 
2.37.2



I also could use help with the (substitute* "codegen/Makefile.in" ...) 
part, since I don't know how what the proper regexp is to make it match.




Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 15:42:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:42:06 2022
Received: from localhost ([127.0.0.1]:52374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVaiE-0006zP-B7
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:42:06 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adam.faiz@HIDDEN>) id 1oVaiC-0006zH-TQ
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:42:05 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3C9334006E
 for <57625 <at> debbugs.gnu.org>; Tue,  6 Sep 2022 17:42:04 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id V8AFwAm5ADvM for <57625 <at> debbugs.gnu.org>;
 Tue,  6 Sep 2022 17:42:02 +0200 (CEST)
Message-ID: <f714b160-5ea4-9bdd-d4f0-46434f68e1fb@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662478811; bh=rRaAnC2CMHv9DBamogthmCK6g/g79teU8gUtepIhct4=;
 h=Date:To:From:Subject;
 b=PeaSwkcQMLxQaxl1dQeTduWPwLS/Hm5+qhNCEfzLpGBjsK3a2sXPXO5X/h7snOJeV
 KNlrLpqttuz0zJZP71V6wC2/cpwt4xIsFUrU6qlCVSbbfqGuxlyht8RU9QrojWRI2a
 XQCEKqbsZxuAud4ee9ZGPf5Yam9BUyF6KCNJQ3i6VALa6NhbsseJr9rjo7jZH2rIP6
 t5MmZrL8AIk8uVzCqhatKP0NFgNDliM8i27ru1oElYQYhFo1hGqAFc60FmwlGkJH48
 +Amx4d36+5SLa3/RM7yeUxH2W6O5g+rtltLc7kDlNa/QajQsLG0d2huCujxr/SMVjW
 iY7NVEYodZMPQ==
Date: Tue, 6 Sep 2022 23:39:54 +0800
Mime-Version: 1.0
To: 57625 <at> debbugs.gnu.org
Content-Language: en-US
From: Adam Faiz <adam.faiz@HIDDEN>
Subject: [PATCH 2/3] gnu: Add treecc.
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  From 72b17b99a7318626dd41db831201c9df64e4defd Mon Sep 17
 00:00:00 2001 From: AwesomeAdam54321 <adam.faiz@HIDDEN> Date: Tue, 6
 Sep 2022 15:51:16 +0800 Subject: [PATCH 2/3] gnu: Add treecc. *
 gnu/packages/dotgnu.scm:
 New file. --- gnu/packages/dotgnu.scm | 52
 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+) create mode 100644 gnu/packages/dotgnu.scm
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

 From 72b17b99a7318626dd41db831201c9df64e4defd Mon Sep 17 00:00:00 2001
From: AwesomeAdam54321 <adam.faiz@HIDDEN>
Date: Tue, 6 Sep 2022 15:51:16 +0800
Subject: [PATCH 2/3] gnu: Add treecc.

* gnu/packages/dotgnu.scm: New file.
---
  gnu/packages/dotgnu.scm | 52 +++++++++++++++++++++++++++++++++++++++++
  1 file changed, 52 insertions(+)
  create mode 100644 gnu/packages/dotgnu.scm

diff --git a/gnu/packages/dotgnu.scm b/gnu/packages/dotgnu.scm
new file mode 100644
index 0000000000..14e11b3653
--- /dev/null
+++ b/gnu/packages/dotgnu.scm
@@ -0,0 +1,52 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2016 Jan Nieuwenhuizen <janneke@HIDDEN>
+;;; Copyright © 2020 Pierre Neidhardt <mail@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages dotgnu)
+  #:use-module ((guix licenses)
+                #:prefix license:)
+  #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bdw-gc)
+  #:use-module (gnu packages libffi)
+  #:use-module (gnu packages)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix gexp)
+  #:use-module (guix git-download)
+  #:use-module (guix build-system gnu))
+
+(define-public treecc
+  (package
+    (name "treecc")
+    (version "0.3.10")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+ 
"https://download.savannah.gnu.org/releases/dotgnu-pnet/treecc-"
+                    version ".tar.gz"))
+              (sha256
+               (base32
+                "1rzgnspg2xccdq3qsx0vi3j28h4qkrzbrjnhzvnny34fjfk217ay"))))
+    (build-system gnu-build-system)
+    (home-page "http://www.gnu.org/software/dotgnu/")
+    (synopsis "Abstract syntax tree compiler compiler")
+    (description
+     "The treecc program is designed to assist in the development of 
compilers
+and other language-based tools.  It manages the generation of code to 
handle
+abstract syntax trees and operations upon the trees.")
+    (license license:gpl2+)))
-- 
2.37.2





Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at 57625 <at> debbugs.gnu.org:


Received: (at 57625) by debbugs.gnu.org; 6 Sep 2022 15:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:37:31 2022
Received: from localhost ([127.0.0.1]:52358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVadn-0006pS-1l
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:37:31 -0400
Received: from knopi.disroot.org ([178.21.23.139]:38286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adam.faiz@HIDDEN>) id 1oVadk-0006pH-I7
 for 57625 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:37:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id CC6C14A002
 for <57625 <at> debbugs.gnu.org>; Tue,  6 Sep 2022 17:37:26 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id sscrsEwymLNy for <57625 <at> debbugs.gnu.org>;
 Tue,  6 Sep 2022 17:37:25 +0200 (CEST)
Message-ID: <620a920f-c95a-ada1-714c-dc39fc95c5a9@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662478465; bh=f+IT0jusn+saamrkz/ZFDZEUyRpls6Lk5hWZUXfPqnc=;
 h=Date:To:From:Subject;
 b=TVBLHaZSUeE/z/ptCTkTqXknliBEL6oyB2TuuU7K0bZUIKBZzMf0KUnJu1HC9hAh8
 WFn/VSOP5MiFC3h7XsCIMHd67ljTKlqD7ZtP1dl+DAdi0taOiptE6qwHRJXnQj9ZNx
 w/hv2VIfEv+bNXOiFuYhc0SX2rg/J2e+KlEGQsC0bkS/7uS89CKwV/+oTMT6XzhRTU
 wzSBU53W8hQ1tGUDe/E0hEdMPRG1XPsyWQn7RfE/3QOjRUtLOAacFLtwuaaBTcsTF+
 Ld3P0n5P+Rij1VPRWmuQlW6em9nKCikeYgrjB7XfrdFicBp9a+ziXkXNWbg8lS9DGt
 g6L258gBE0j8g==
Date: Tue, 6 Sep 2022 23:34:19 +0800
Mime-Version: 1.0
To: 57625 <at> debbugs.gnu.org
Content-Language: en-US
From: Adam Faiz <adam.faiz@HIDDEN>
Subject: [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57625
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 From feec1f999877de9ae411653c76bbf144cc6c7b2d Mon Sep 17 00:00:00 2001
From: AwesomeAdam54321 <adam.faiz@HIDDEN>
Date: Tue, 6 Sep 2022 14:08:33 +0800
Subject: [PATCH 1/3] gnu: Add libgc-private-headers-for-pnet.

* gnu/packages/bdw-gc.scm (libgc-private-headers-for-pnet): New private 
variable.
---
  gnu/packages/bdw-gc.scm | 36 ++++++++++++++++++++++++++++++++++++
  1 file changed, 36 insertions(+)

diff --git a/gnu/packages/bdw-gc.scm b/gnu/packages/bdw-gc.scm
index 268f0703b8..3bf2a8f2f6 100644
--- a/gnu/packages/bdw-gc.scm
+++ b/gnu/packages/bdw-gc.scm
@@ -26,6 +26,7 @@ (define-module (gnu packages bdw-gc)
    #:use-module (guix packages)
    #:use-module (guix download)
    #:use-module (guix utils)
+  #:use-module (guix build-system copy)
    #:use-module (guix build-system gnu)
    #:use-module (gnu packages pkg-config)
    #:use-module (gnu packages hurd))
@@ -122,6 +123,41 @@ (define-public libgc/back-pointers
         ,@(package-arguments libgc)))
      (synopsis "The BDW garbage collector, with back-pointer tracking")))

+(define-public libgc-private-headers-for-pnet
+  (hidden-package
+   (package
+     (name "libgc-private-headers")
+     (version (package-version libgc))
+     (source (origin
+               (method url-fetch)
+               (uri (string-append 
"https://github.com/ivmai/bdwgc/releases"
+                                   "/download/v" version "/gc-" version 
".tar.gz"))
+               (sha256
+                (base32
+                 "1798rp3mcfkgs38ynkbg2p47bq59pisrc6mn0l20pb5iczf0ssj3"))))
+     (build-system copy-build-system)
+     (arguments
+      '(#:install-plan
+        '(("include/config.h.in" "include/private/config.h")
+          ("include/gc_tiny_fl.h" "include/private/gc_tiny_fl.h")
+          ("include/gc_mark.h" "include/private/gc_mark.h")
+          ("include/private/gcconfig.h" "include/private/gcconfig.h")
+          ("include/private/gc_hdrs.h" "include/private/gc_hdrs.h")
+          ("include/private/gc_atomic_ops.h" 
"include/private/gc_atomic_ops.h")
+          ("include/private/gc_locks.h" "include/private/gc_locks.h")
+          ("include/private/gc_priv.h" "include/private/gc_priv.h"))
+        #:phases
+        (modify-phases %standard-phases
+          (add-after 'unpack 'fix-includes
+            (lambda _
+              (substitute* "include/private/gc_priv.h"
+                (("#include .*/gc_tiny_fl.h") "#include <gc_tiny_fl.h>")
+                (("#include .*/gc_mark.h") "#include <gc_mark.h>")))))))
+     (synopsis "Private headers of libgc for pnet")
+     (description "Private headers in libgc that are used in pnet.")
+     (home-page "https://www.hboehm.info/gc/")
+     (license (x11-style (string-append home-page "license.txt"))))))
+
  (define-public libatomic-ops
    (package
      (name "libatomic-ops")

base-commit: 9fa3e90789203109f6f86ab41b48c65f15451d4e
-- 
2.37.2






Information forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Sep 2022 14:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 10:54:13 2022
Received: from localhost ([127.0.0.1]:52278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZxo-0003JX-Ls
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:54:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:35398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adam.faiz@HIDDEN>) id 1oVUG8-0006Az-JT
 for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 04:48:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44216)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <adam.faiz@HIDDEN>)
 id 1oVUG3-00053s-EH
 for guix-patches@HIDDEN; Tue, 06 Sep 2022 04:48:38 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44824)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <adam.faiz@HIDDEN>)
 id 1oVUFv-0007Ir-5j
 for guix-patches@HIDDEN; Tue, 06 Sep 2022 04:48:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 653DC40065
 for <guix-patches@HIDDEN>; Tue,  6 Sep 2022 10:48:11 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id YXxMwc6E_N0R for <guix-patches@HIDDEN>;
 Tue,  6 Sep 2022 10:48:10 +0200 (CEST)
Message-ID: <9d424667-868f-03f2-c521-8c10e106d6d3@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1662454087; bh=3xdML4kUuOe58Z/vVgXPsq9Iki6EHkE1/ft7bQtf1BI=;
 h=Date:To:From:Subject;
 b=AU07auX5ElqGzGkz1Pp/Evi4+B6YrwXGZOOzf+uQMXMhsfPDs37aNDUb9L9b1s6CO
 Cd69DqCd49pIxhjA1I4cBtf7h4ZbxeLwzXQv6MjDxa3IHmnlHRqU/IuJv7YsA44P8b
 6mtAKy/NehHQ1QUf61dYGdJWNiJUWJy1a5WG+SUB1tlQt5o3A6aTRH1l7rbC7m17ei
 Me9273pd2mbYE2HQ5tQQbBUe3pYfGZ55/m2f/vgnLUjDvPAccJjIzkjzsF5G80H4lF
 IykeKumRaZ+YU/JUTzUV5hKgTpbafOUe9GA/DTqr+m3UvWPB4I+tVQoAVAo99RZ8Mi
 OgnczYLDPvDDQ==
Date: Tue, 6 Sep 2022 16:48:01 +0800
Mime-Version: 1.0
To: guix-patches@HIDDEN
Content-Language: en-US
From: Adam Faiz <adam.faiz@HIDDEN>
Autocrypt: addr=adam.faiz5990@HIDDEN; keydata=
 xsFNBGHz4UUBEAC8GV0NYJfFm4XeLOcJmOcP5o4vLnOyoizktQ93xnnmVS5y7QdCSdwY0pA1
 hWGpXGJa1komxRg1CiaW/nmGbNWNW7Z/cSJyXLn6z4v2KhVs6HrytbVACZGKPlQPShYKdCF3
 cbxmmEJ5OBlapbh0zBNsJhyCyG3grCsgFA6J5STG/kO8OIUdxY2d4XoSohnV/0QK0USsE2CU
 HG1tMeK1tSiI2bSZ8mUcd+h1ofNeFCXckL48exb7hmXN891EdoBm4HaApKmrzjiHb4JBvX4B
 zpSIUtg4f4tAbLUc/ZJjfhwaBAlJRSUHY8rHKHa2Oet2/PrWe4ARfubsw6ZrnnU2Pq2HqpvY
 Pk5/E1SP82x1Sz67qtOx3tkU5X8FULhYqdekD0IdYvJV4Vwd3Bf6DQzLmNU16WShFGXId8Dq
 k+qteMHN90WOoVxQXH5kImkzNggJHT4Qg5qE5cDBlpf7uiwhl2Z+4BTdnTt8a+Ztv0aKWDD8
 ArQjFK85gfgXh+hJJ+mmurlQCmT585VePakOGRcDlmt8uGnzn5KAZ1jb/VeIpDonr3W09R90
 fpTVSJyNr67vT6qsfsFz/S31YvMF5FlRxXu0qyeWRZX8roCe+bMvhig0s8XoJ39jKj+Ax+h3
 l9vh19FYWBRF/l2vKLzyODf7KNfpNrU5pDwilHyJpaVHP7rXXQARAQABzSNBZGFtIEZhaXog
 PGFkYW0uZmFpejU5OTBAZ21haWwuY29tPsLBjwQTAQgAORYhBOnU/wKNNnFDtMI7ShCJYYQ/
 2DyYBQJh8+FLBQkDwmcAAhsDBQsJCAcCBhUICQoLAgUWAgMBAAAKCRAQiWGEP9g8mDUOEACH
 MaqxTnjV/Hf6BVaoAIbYgoeDVZKJ/byZaz+V7hZQdUOdN4I8Y41BeeA7pnrSl2o+5Xh1QyGf
 pJQMOQQCbMYOkA6erm+Czz1bLgBPpsXRnC1IyLw14qhPHReFJVbdFgZ4Fc2BzOporaGh0OD5
 ha0iITQh3MnoIBcDCQG8FcTGYH/7ydRA9WwhRtY6aRUmXcwOXr6wjmeWTnIfamhKAPlWrKkZ
 FWxM0mPygVzMPc4He/jo/LOL+HQcszHxQKG3TAm3zCZmSKzt5R4jX0j0BBdYxX+EFtkHeK7m
 IB09hlN5XQEnl1KWdNmATAQNb2ofzLmIRaij1NFJk84E42i37QokIC89MS8YuMf+e9mdNGOv
 BPgn/rLo1P6oxYZbzmdW3ABzwMIO5kXtlxr6rIOAl7JM/SwSJDKsspshVlC/DcSSZ04HxpG0
 lhIRtAVzuQp4ScED7bRm2Rce1QXNEY2cauIcCSDXu/f3H2fp8oS3OP4DLpiVfIPqGkmRjRQw
 VogCdAKfI8p1oHh0cK5LapUrLYa9X+64Si/o6JpVReKDj+cfQ4/g7fvj6FOC4S1KOlr9hnyG
 V8AxUMsxrNfuoWFmm950S0Zg09ljMlFmluxnHQk8gVDGqNsrWE7j8SykF1M9OMM++1GhlpZ0
 olcHC4nIJ6w/UW/FC+CB8OKC+Gynz9+Ql87BTQRh8+FMARAA4zT16n3idMPA06ZvnIxwcJih
 rH+xZ1J2DYJxCJ4I6vJL7SxIi9mdRJmOxpC2wpa9H+c+Bihgh3rV/VoFkHLQqsFO2jWXD+nu
 Ho9h8jT4123Ng7CBFkU0R9czqSrphG0LKrIoSUMYYhAcoIhMcB6hjCtg7w/M3DjMAJGf349L
 XYZOAjXvsmswoZ6QfNJ0B3ZrDpRz8t76gaSIGWSxlYPzCxRmlr18FOQDQ6lZmu/akHPxNgz5
 EfcjkDPMhsBCfowNWIALUBuR0QnljnQqLY9XzmF2KNS2LUCLojlnvYja+yrATVvEPovLuS8r
 +EyjYiabPKGW8JGQrhP6sdGjtLdam0AYt4SORfs1csXQ5V3UIHfNyRRIH8S/MJ8mBHbFTbKq
 9xj9P2uyIMI97Q+OpegINicKeYjXtaD5L3F+s5032EI0MqGNID/6muWPwM+Fq8ZtzEUGsHV5
 qNluzXLwzbq4BSLFsfpZDIrJ3AcT1lzwEKnSIqvvbMB6GjG0f/8/rjfBsDQ/kS5IPi6AzdvF
 A+9dkxgtmgIEcAFddjiTR1AMBjWHUPO8lp3jg3oj3Q+Ac1B5y+nxDYsz8MELvm/mYrxbDBIR
 TDjwYDcPfLl3YUBD7//ZNvIYnbSXwnfxBDd2MUwCaeirl7zmzDjBFEt9DXFpfvU+WE5iuepG
 GVCDpWDl5dUAEQEAAcLBfAQYAQgAJhYhBOnU/wKNNnFDtMI7ShCJYYQ/2DyYBQJh8+FPBQkD
 wmcAAhsMAAoJEBCJYYQ/2DyYa/8P/R99Za/cv46SMQSNBYTInrOe6ApfnQJLScREgz6bgOQx
 LSbWOIZMj3f5hydePw8myqTwbf7QRSQFUz7xwLvWLFQvMIts8KyiqeLx0oXxjI4dOPT0JTWp
 U2WFE2sPihKHmGkRkpZR8mmP7F9/WykpgxqfKwmoFSxD5EMIb0e+jqiQ5HThoOkQft8uazUf
 W6rsZcCvk6S5ZgGnWMn0t1qLVniTUFzgK68lqojjr7AH2gD0uClgfAnYVzCfPGF/JY6MTHMb
 k/9hC7E0yG15Xled8qsj1GdSdrFLHSaO2ljWfzqDSJkBL9mE46Xvpi2dJEgvS1Dl5v6E+efY
 W88X0dGqdICo/rDVmXpv7BSkUCyErtcfsHkYYP82sHks1AHmRK4tgXQxCX5iRc3B8zVHQllw
 pgph+9ZLf/f+PppUEDgDZSEE8/Kx8+8uQdXntO99S5fkZL+HB4R2Rk0+7zEfGXdqnmc3czva
 mEo4TIDjh8RBCWJtXpY3Ks6BZNdjtP/w6OcmUKRgVhlN94n47zt7q6MzAfZnZ+ebYllDd7lT
 vDL+GNrGiUXZXcILLvPlI9fECSeevqNkjCSXra3e0/X0ZNG+3bi+BR46PTzXlSGZGBcU6Dir
 RjoETIkR6t0hx6VQK80tLKejHdMeBeFVh6WyLkhiDJ9wz4plFgaNRHs+muf8SyFR
Subject: [PATCH 0/3] WIP: Add pnet.
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=178.21.23.139; envelope-from=adam.faiz@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Sep 2022 10:54:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello everyone,

The patch to add pnet from DotGNU is a work in progress. Currently it 
fails to build because pnet-0.8.0/support/pt_defs.c has undefined 
references to the GC_pthread_* functions, even after I added 
<gc_pthread_redirects.h> to its included headers.




Acknowledgement sent to Adam Faiz <adam.faiz@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57625; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.